<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kh4_lrf_batpower.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('kh4__lrf__batpower_8c_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">kh4_lrf_batpower.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="kh4__lrf__batpower_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &lt;khepera/khepera.h&gt;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="kh4__lrf__batpower_8c.html#a0ddf1224851353fc92bfbff6f499fa97">    4</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="kh4__lrf__batpower_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]) {</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;  <span class="comment">/* Set the libkhepera debug level - Highly recommended for development. */</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;  <a class="code" href="kb__error_8c.html#aa37d3cf5b9b4e8a961c0f7a405664cc6">kb_set_debug_level</a>(2);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;  printf(<span class="stringliteral">&quot;Khepera4 lrf battery power on/off program\r\n&quot;</span>);</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;  </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="comment">/* Init the korebot library */</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;  <span class="keywordflow">if</span>((rc = <a class="code" href="kb__init_8c.html#adf1ca4007100c026fae148afe3e4b6f2">kb_init</a>( 0 , NULL )) &lt; 0 )</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keywordflow">return</span> 1;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="keywordflow">if</span> (argc != 2)</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;                printf(<span class="stringliteral">&quot;USAGE: %s ON_OFF\n  ON_OFF: 1 for on, 0 for OFF\n&quot;</span>,argv[0]);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;                <span class="keywordflow">return</span> -1;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keywordflow">if</span> (atoi(argv[1]))</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                printf(<span class="stringliteral">&quot;LRF power on\n\n&quot;</span>);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;                <a class="code" href="kb__lrf_8h.html#a59e2e82056874767c758e85b40257129">kb_lrf_Power_On</a>();</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        }</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                printf(<span class="stringliteral">&quot;LRF power off\n\n&quot;</span>);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                <a class="code" href="kb__lrf_8h.html#a645908f867abd8fa6dee590c1391284a">kb_lrf_Power_Off</a>();</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        }</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; <span class="keywordflow">return</span> 0;  </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="ttc" id="kb__lrf_8h_html_a645908f867abd8fa6dee590c1391284a"><div class="ttname"><a href="kb__lrf_8h.html#a645908f867abd8fa6dee590c1391284a">kb_lrf_Power_Off</a></div><div class="ttdeci">void kb_lrf_Power_Off(void)</div></div>
<div class="ttc" id="kh4__lrf__batpower_8c_html_a0ddf1224851353fc92bfbff6f499fa97"><div class="ttname"><a href="kh4__lrf__batpower_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a></div><div class="ttdeci">int main(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> <a href="kh4__lrf__batpower_8c_source.html#l00004">kh4_lrf_batpower.c:4</a></div></div>
<div class="ttc" id="kb__lrf_8h_html_a59e2e82056874767c758e85b40257129"><div class="ttname"><a href="kb__lrf_8h.html#a59e2e82056874767c758e85b40257129">kb_lrf_Power_On</a></div><div class="ttdeci">void kb_lrf_Power_On(void)</div></div>
<div class="ttc" id="kb__error_8c_html_aa37d3cf5b9b4e8a961c0f7a405664cc6"><div class="ttname"><a href="kb__error_8c.html#aa37d3cf5b9b4e8a961c0f7a405664cc6">kb_set_debug_level</a></div><div class="ttdeci">void kb_set_debug_level(unsigned int level)</div><div class="ttdef"><b>Definition:</b> <a href="kb__error_8c_source.html#l00130">kb_error.c:130</a></div></div>
<div class="ttc" id="kb__init_8c_html_adf1ca4007100c026fae148afe3e4b6f2"><div class="ttname"><a href="kb__init_8c.html#adf1ca4007100c026fae148afe3e4b6f2">kb_init</a></div><div class="ttdeci">int kb_init(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> <a href="kb__init_8c_source.html#l00028">kb_init.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html">tests</a></li><li class="navelem"><a class="el" href="kh4__lrf__batpower_8c.html">kh4_lrf_batpower.c</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:17 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
